summaryrefslogtreecommitdiff
path: root/dev-python/tikzplotlib/tikzplotlib-0.9.7.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-02-06 00:42:41 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-02-06 00:42:41 +0000
commit8aef5814d6d733213047cd2e4f0197124f90c299 (patch)
tree0135bd363c741cd42f2384de4404838d6ff6e95b /dev-python/tikzplotlib/tikzplotlib-0.9.7.ebuild
parentdd10b4511a81cb2c5d8197ca7d15c041347a58b6 (diff)
downloadbaldeagleos-repo-8aef5814d6d733213047cd2e4f0197124f90c299.tar.gz
baldeagleos-repo-8aef5814d6d733213047cd2e4f0197124f90c299.tar.xz
baldeagleos-repo-8aef5814d6d733213047cd2e4f0197124f90c299.zip
Updating liguros repo
Diffstat (limited to 'dev-python/tikzplotlib/tikzplotlib-0.9.7.ebuild')
-rw-r--r--dev-python/tikzplotlib/tikzplotlib-0.9.7.ebuild56
1 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/tikzplotlib/tikzplotlib-0.9.7.ebuild b/dev-python/tikzplotlib/tikzplotlib-0.9.7.ebuild
new file mode 100644
index 000000000000..f0f5782e21c1
--- /dev/null
+++ b/dev-python/tikzplotlib/tikzplotlib-0.9.7.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Convert matplotlib figures into TikZ/PGFPlots"
+HOMEPAGE="https://github.com/nschloe/tikzplotlib"
+SRC_URI="https://github.com/nschloe/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ app-text/texlive[extra]
+ $( python_gen_cond_dep \
+ 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' python3_7 )
+ dev-python/matplotlib[latex,${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/wheel[${PYTHON_USEDEP}]
+ test? (
+ dev-python/exdown[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/mock
+
+python_prepare_all() {
+ # setup.py was removed in commit f04323cfa575caf8a25a9236f55fe6baf1a33b20
+ # for some reason, DISTUTULS_USE_SETUPTOOLS="pyproject.toml" is not working
+ # it complains about file not found, setup.cfg does exist
+
+ cat > setup.py <<EOF || die
+from setuptools import setup
+
+if __name__ == "__main__":
+ setup()
+EOF
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x MPLBACKEND=Agg
+ virtx pytest -vv
+}